This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
perl 5.003: ext/NDBM_File/NDBM_File.pm
authorPerl 5 Porters <perl5-porters@africa.nicoh.com>
Mon, 24 Jun 1996 03:07:53 +0000 (03:07 +0000)
committerCharles Bailey <bailey@genetics.upenn.edu>
Mon, 24 Jun 1996 03:07:53 +0000 (03:07 +0000)
C<use strict> with Perl 5.002 or later to avoid confusing warnings
if installed in a library also used by Perl 5.001m.  (It still won't
work with 5,001m, but the error message now states this more clearly.)

ext/NDBM_File/NDBM_File.pm

index 601a3c2..6072e65 100644 (file)
@@ -1,6 +1,10 @@
 package NDBM_File;
 
 package NDBM_File;
 
-use strict;
+BEGIN {
+    if ($] >= 5.002) {
+       use strict;
+    }
+}
 use vars qw($VERSION @ISA); 
 
 require Tie::Hash;
 use vars qw($VERSION @ISA); 
 
 require Tie::Hash;